# Method: projects.unsubscribers.list

Lists the Unsubscribers of the specified project. List returns Unsubscribers sorted by create_time descending.

The caller must have `messaging.unsubscribers.list` permission on the project.

### HTTP request

`GET https://messaging.api.enfonica.com/v1/{parent}/unsubscribers`

### Path parameters

Parameters | &nbsp;
--|--
<span class="e-code">parent</span> | <span class="e-code">string</span><br/>The resource name of the parent of which to list unsubscribers. Must be of the form `projects/*`.

### Query parameters
Parameters | &nbsp;
--|--
<span class="e-code">pageSize</span> | <span class="e-code">number (<a href="https://developers.google.com/protocol-buffers/docs/proto3#json" target="_blank">int32</a> format)</span><br/>The maximum number of Unsubscribers to return in the response. Default value is 10 and maximum value is 100.
<span class="e-code">pageToken</span> | <span class="e-code">string</span><br/>A pagination token returned from a previous call to `ListUnsubscribers` that indicates where this listing should continue from.
<span class="e-code">phone</span> | <span class="e-code">string</span><br/>Only return the unsubscriber that matches the phone number exactly. 

### Request body

The request body must be empty.

### Response body

The ListUnsubscribers response.

<div class="highlight"><span class="filename">JSON representation</span><pre><code><span class="p">{</span>
  <span class="s2">&quot;unsubscribers&quot;</span><span class="p">: </span><span class="p">[</span>
    <span class="p">{</span>
      <span class="kd">object (</span><a href="/docs/cloud-sms/api-reference/rest/v1/projects.unsubscribers/overview/#resource-unsubscriber"><strong><span class="kd">Unsubscriber</span></strong></a><span class="kd">)</span>
    <span class="p">}</span>
  <span class="p">]</span><span class="p">,</span>
  <span class="s2">&quot;nextPageToken&quot;</span><span class="p">: </span><span class="kd">string</span>
<span class="p">}</span></code></pre></div>

Fields | &nbsp;
--|--
<span class="e-code">unsubscribers[]</span> | <span class="e-code">object ([Unsubscriber](/docs/cloud-sms/api-reference/rest/v1/projects.unsubscribers/overview/#resource-unsubscriber))</span><br/>A possibly paginated list of Unsubscribers that are direct descendants of the specified parent resource.
<span class="e-code">nextPageToken</span> | <span class="e-code">string</span><br/>A pagination token returned from a previous call to `ListUnsubscribers` that indicates from where listing should continue.

